Loading...
Searching...
No Matches
BALL::NMRStarFile::MolecularSystem::RelatedDB Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| RelatedDB ()
std::ostream & | operator>> (std::ostream &s)
void | clear ()

## Public Attributes

String | name
String | accession_code
String | entry_mol_name
String | relation_type
String | details

## Detailed Description

Definition at line 365 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## RelatedDB()

BALL::NMRStarFile::MolecularSystem::RelatedDB::RelatedDB | ( |  | ) |

## Member Function Documentation

## clear()

void BALL::NMRStarFile::MolecularSystem::RelatedDB::clear | ( |  | ) |

## operator>>()

std::ostream & BALL::NMRStarFile::MolecularSystem::RelatedDB::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## accession_code

String BALL::NMRStarFile::MolecularSystem::RelatedDB::accession_code

Definition at line 374 of file NMRStarFile.h.

## details

String BALL::NMRStarFile::MolecularSystem::RelatedDB::details

Definition at line 377 of file NMRStarFile.h.

## entry_mol_name

String BALL::NMRStarFile::MolecularSystem::RelatedDB::entry_mol_name

Definition at line 375 of file NMRStarFile.h.

## name

String BALL::NMRStarFile::MolecularSystem::RelatedDB::name

Definition at line 373 of file NMRStarFile.h.

## relation_type

String BALL::NMRStarFile::MolecularSystem::RelatedDB::relation_type

Definition at line 376 of file NMRStarFile.h.